package com.ruoyi.project.zjsgfa.mapper;

import java.util.List;
import com.ruoyi.project.zjsgfa.domain.JcxxHse;

/**
 * 基础信息-HSE专篇Mapper接口
 * 
 * @author ruoyi
 * @date 2025-07-24
 */
public interface JcxxHseMapper 
{
    /**
     * 查询基础信息-HSE专篇
     * 
     * @param id 基础信息-HSE专篇主键
     * @return 基础信息-HSE专篇
     */
    public JcxxHse selectJcxxHseById(Long id);

    /**
     * 查询基础信息-HSE专篇列表
     * 
     * @param jcxxHse 基础信息-HSE专篇
     * @return 基础信息-HSE专篇集合
     */
    public List<JcxxHse> selectJcxxHseList(JcxxHse jcxxHse);

    /**
     * 新增基础信息-HSE专篇
     * 
     * @param jcxxHse 基础信息-HSE专篇
     * @return 结果
     */
    public int insertJcxxHse(JcxxHse jcxxHse);

    /**
     * 修改基础信息-HSE专篇
     * 
     * @param jcxxHse 基础信息-HSE专篇
     * @return 结果
     */
    public int updateJcxxHse(JcxxHse jcxxHse);

    /**
     * 删除基础信息-HSE专篇
     * 
     * @param id 基础信息-HSE专篇主键
     * @return 结果
     */
    public int deleteJcxxHseById(Long id);

    /**
     * 批量删除基础信息-HSE专篇
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteJcxxHseByIds(Long[] ids);
}
